Package org.apache.xmlbeans.impl.xb.xsdschema.impl

## Class ComplexTypeImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.XmlComplexContentImpl
    - - org.apache.xmlbeans.impl.xb.xsdschema.impl.OpenAttrsImpl
      - - org.apache.xmlbeans.impl.xb.xsdschema.impl.AnnotatedImpl
        - - org.apache.xmlbeans.impl.xb.xsdschema.impl.ComplexTypeImpl

- All Implemented Interfaces:
    `Serializable`, `TypeStoreUser`, `Annotated`, `ComplexType`, `OpenAttrs`, `SimpleValue`, `XmlObject`, `XmlTokenSource`
  Direct Known Subclasses:
    `LocalComplexTypeImpl`, `TopLevelComplexTypeImpl`

      public class ComplexTypeImpl
      extends AnnotatedImpl
      implements ComplexType

  An XML complexType(@http://www.w3.org/2001/XMLSchema). This is a complex type.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

    - ### Fields inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

      `Factory, type`

    - ### Fields inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.ComplexType

      `Factory, type`

    - ### Fields inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.OpenAttrs

      `Factory, type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, Factory, GREATER_THAN, LESS_THAN, NOT_EQUAL, type`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ComplexTypeImpl​(SchemaType sType)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `All` | `addNewAll()` | Appends and returns a new empty "all" element
    `Wildcard` | `addNewAnyAttribute()` | Appends and returns a new empty "anyAttribute" element
    `Attribute` | `addNewAttribute()` | Appends and returns a new empty value (as xml) as the last "attribute" element
    `AttributeGroupRef` | `addNewAttributeGroup()` | Appends and returns a new empty value (as xml) as the last "attributeGroup" element
    `ExplicitGroup` | `addNewChoice()` | Appends and returns a new empty "choice" element
    `ComplexContentDocument.ComplexContent` | `addNewComplexContent()` | Appends and returns a new empty "complexContent" element
    `GroupRef` | `addNewGroup()` | Appends and returns a new empty "group" element
    `ExplicitGroup` | `addNewSequence()` | Appends and returns a new empty "sequence" element
    `SimpleContentDocument.SimpleContent` | `addNewSimpleContent()` | Appends and returns a new empty "simpleContent" element
    `boolean` | `getAbstract()` | Gets the "abstract" attribute
    `All` | `getAll()` | Gets the "all" element
    `Wildcard` | `getAnyAttribute()` | Gets the "anyAttribute" element
    `Attribute[]` | `getAttributeArray()` | Gets array of all "attribute" elements
    `Attribute` | `getAttributeArray​(int i)` | Gets ith "attribute" element
    `AttributeGroupRef[]` | `getAttributeGroupArray()` | Gets array of all "attributeGroup" elements
    `AttributeGroupRef` | `getAttributeGroupArray​(int i)` | Gets ith "attributeGroup" element
    `List<AttributeGroupRef>` | `getAttributeGroupList()` | Gets a List of "attributeGroup" elements
    `List<Attribute>` | `getAttributeList()` | Gets a List of "attribute" elements
    `Object` | `getBlock()` | Gets the "block" attribute
    `ExplicitGroup` | `getChoice()` | Gets the "choice" element
    `ComplexContentDocument.ComplexContent` | `getComplexContent()` | Gets the "complexContent" element
    `Object` | `getFinal()` | Gets the "final" attribute
    `GroupRef` | `getGroup()` | Gets the "group" element
    `boolean` | `getMixed()` | Gets the "mixed" attribute
    `String` | `getName()` | Gets the "name" attribute
    `ExplicitGroup` | `getSequence()` | Gets the "sequence" element
    `SimpleContentDocument.SimpleContent` | `getSimpleContent()` | Gets the "simpleContent" element
    `Attribute` | `insertNewAttribute​(int i)` | Inserts and returns a new empty value (as xml) as the ith "attribute" element
    `AttributeGroupRef` | `insertNewAttributeGroup​(int i)` | Inserts and returns a new empty value (as xml) as the ith "attributeGroup" element
    `boolean` | `isSetAbstract()` | True if has "abstract" attribute
    `boolean` | `isSetAll()` | True if has "all" element
    `boolean` | `isSetAnyAttribute()` | True if has "anyAttribute" element
    `boolean` | `isSetBlock()` | True if has "block" attribute
    `boolean` | `isSetChoice()` | True if has "choice" element
    `boolean` | `isSetComplexContent()` | True if has "complexContent" element
    `boolean` | `isSetFinal()` | True if has "final" attribute
    `boolean` | `isSetGroup()` | True if has "group" element
    `boolean` | `isSetMixed()` | True if has "mixed" attribute
    `boolean` | `isSetName()` | True if has "name" attribute
    `boolean` | `isSetSequence()` | True if has "sequence" element
    `boolean` | `isSetSimpleContent()` | True if has "simpleContent" element
    `void` | `removeAttribute​(int i)` | Removes the ith "attribute" element
    `void` | `removeAttributeGroup​(int i)` | Removes the ith "attributeGroup" element
    `void` | `setAbstract​(boolean xabstract)` | Sets the "abstract" attribute
    `void` | `setAll​(All all)` | Sets the "all" element
    `void` | `setAnyAttribute​(Wildcard anyAttribute)` | Sets the "anyAttribute" element
    `void` | `setAttributeArray​(int i, Attribute attribute)` | Sets ith "attribute" element
    `void` | `setAttributeArray​(Attribute[] attributeArray)` | Sets array of all "attribute" element WARNING: This method is not atomicaly synchronized.
    `void` | `setAttributeGroupArray​(int i, AttributeGroupRef attributeGroup)` | Sets ith "attributeGroup" element
    `void` | `setAttributeGroupArray​(AttributeGroupRef[] attributeGroupArray)` | Sets array of all "attributeGroup" element WARNING: This method is not atomicaly synchronized.
    `void` | `setBlock​(Object block)` | Sets the "block" attribute
    `void` | `setChoice​(ExplicitGroup choice)` | Sets the "choice" element
    `void` | `setComplexContent​(ComplexContentDocument.ComplexContent complexContent)` | Sets the "complexContent" element
    `void` | `setFinal​(Object xfinal)` | Sets the "final" attribute
    `void` | `setGroup​(GroupRef group)` | Sets the "group" element
    `void` | `setMixed​(boolean mixed)` | Sets the "mixed" attribute
    `void` | `setName​(String name)` | Sets the "name" attribute
    `void` | `setSequence​(ExplicitGroup sequence)` | Sets the "sequence" element
    `void` | `setSimpleContent​(SimpleContentDocument.SimpleContent simpleContent)` | Sets the "simpleContent" element
    `int` | `sizeOfAttributeArray()` | Returns number of "attribute" element
    `int` | `sizeOfAttributeGroupArray()` | Returns number of "attributeGroup" element
    `void` | `unsetAbstract()` | Unsets the "abstract" attribute
    `void` | `unsetAll()` | Unsets the "all" element
    `void` | `unsetAnyAttribute()` | Unsets the "anyAttribute" element
    `void` | `unsetBlock()` | Unsets the "block" attribute
    `void` | `unsetChoice()` | Unsets the "choice" element
    `void` | `unsetComplexContent()` | Unsets the "complexContent" element
    `void` | `unsetFinal()` | Unsets the "final" attribute
    `void` | `unsetGroup()` | Unsets the "group" element
    `void` | `unsetMixed()` | Unsets the "mixed" attribute
    `void` | `unsetName()` | Unsets the "name" attribute
    `void` | `unsetSequence()` | Unsets the "sequence" element
    `void` | `unsetSimpleContent()` | Unsets the "simpleContent" element
    `XmlBoolean` | `xgetAbstract()` | Gets (as xml) the "abstract" attribute
    `DerivationSet` | `xgetBlock()` | Gets (as xml) the "block" attribute
    `DerivationSet` | `xgetFinal()` | Gets (as xml) the "final" attribute
    `XmlBoolean` | `xgetMixed()` | Gets (as xml) the "mixed" attribute
    `XmlNCName` | `xgetName()` | Gets (as xml) the "name" attribute
    `void` | `xsetAbstract​(XmlBoolean xabstract)` | Sets (as xml) the "abstract" attribute
    `void` | `xsetBlock​(DerivationSet block)` | Sets (as xml) the "block" attribute
    `void` | `xsetFinal​(DerivationSet xfinal)` | Sets (as xml) the "final" attribute
    `void` | `xsetMixed​(XmlBoolean mixed)` | Sets (as xml) the "mixed" attribute
    `void` | `xsetName​(XmlNCName name)` | Sets (as xml) the "name" attribute

    - ### Methods inherited from class org.apache.xmlbeans.impl.xb.xsdschema.impl.AnnotatedImpl

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl

      `arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, build_nil, build_text, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, disconnect_store, documentProperties, dump, elementFlags, equals, execQuery, execQuery, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanArray, getBooleanArray, getBooleanValue, getByteArray, getByteArray, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleArray, getDoubleArray, getDoubleValue, getEnumArray, getEnumArray, getEnumValue, getFloatArray, getFloatArray, getFloatValue, getGDateValue, getGDurationValue, getIntArray, getIntArray, getIntValue, getListValue, getLongArray, getLongArray, getLongValue, getObjectArray, getObjectArray, getObjectValue, getQNameValue, getShortArray, getShortArray, getShortValue, getStringValue, getXmlLocale, getXmlObjectArray, getXmlObjectArray, has_store, hashCode, init_flags, initComplexType, instanceType, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, substitute, toString, uses_invalidate_value, validate, validate, validate_now, validate_simpleval, valueEquals, valueHashCode, writeReplace, xgetArray, xgetArray, xgetListValue, xmlText, xmlText`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Constructor Detail

    - #### ComplexTypeImpl

          public ComplexTypeImpl​(SchemaType sType)

  - ### Method Detail

    - #### getSimpleContent

          public SimpleContentDocument.SimpleContent getSimpleContent()

      Gets the "simpleContent" element
      Specified by:
        `getSimpleContent` in interface `ComplexType`

    - #### isSetSimpleContent

          public boolean isSetSimpleContent()

      True if has "simpleContent" element
      Specified by:
        `isSetSimpleContent` in interface `ComplexType`

    - #### setSimpleContent

          public void setSimpleContent​(SimpleContentDocument.SimpleContent simpleContent)

      Sets the "simpleContent" element
      Specified by:
        `setSimpleContent` in interface `ComplexType`

    - #### addNewSimpleContent

          public SimpleContentDocument.SimpleContent addNewSimpleContent()

      Appends and returns a new empty "simpleContent" element
      Specified by:
        `addNewSimpleContent` in interface `ComplexType`

    - #### unsetSimpleContent

          public void unsetSimpleContent()

      Unsets the "simpleContent" element
      Specified by:
        `unsetSimpleContent` in interface `ComplexType`

    - #### getComplexContent

          public ComplexContentDocument.ComplexContent getComplexContent()

      Gets the "complexContent" element
      Specified by:
        `getComplexContent` in interface `ComplexType`

    - #### isSetComplexContent

          public boolean isSetComplexContent()

      True if has "complexContent" element
      Specified by:
        `isSetComplexContent` in interface `ComplexType`

    - #### setComplexContent

          public void setComplexContent​(ComplexContentDocument.ComplexContent complexContent)

      Sets the "complexContent" element
      Specified by:
        `setComplexContent` in interface `ComplexType`

    - #### addNewComplexContent

          public ComplexContentDocument.ComplexContent addNewComplexContent()

      Appends and returns a new empty "complexContent" element
      Specified by:
        `addNewComplexContent` in interface `ComplexType`

    - #### unsetComplexContent

          public void unsetComplexContent()

      Unsets the "complexContent" element
      Specified by:
        `unsetComplexContent` in interface `ComplexType`

    - #### getGroup

          public GroupRef getGroup()

      Gets the "group" element
      Specified by:
        `getGroup` in interface `ComplexType`

    - #### isSetGroup

          public boolean isSetGroup()

      True if has "group" element
      Specified by:
        `isSetGroup` in interface `ComplexType`

    - #### setGroup

          public void setGroup​(GroupRef group)

      Sets the "group" element
      Specified by:
        `setGroup` in interface `ComplexType`

    - #### addNewGroup

          public GroupRef addNewGroup()

      Appends and returns a new empty "group" element
      Specified by:
        `addNewGroup` in interface `ComplexType`

    - #### unsetGroup

          public void unsetGroup()

      Unsets the "group" element
      Specified by:
        `unsetGroup` in interface `ComplexType`

    - #### getAll

          public All getAll()

      Gets the "all" element
      Specified by:
        `getAll` in interface `ComplexType`

    - #### isSetAll

          public boolean isSetAll()

      True if has "all" element
      Specified by:
        `isSetAll` in interface `ComplexType`

    - #### setAll

          public void setAll​(All all)

      Sets the "all" element
      Specified by:
        `setAll` in interface `ComplexType`

    - #### addNewAll

          public All addNewAll()

      Appends and returns a new empty "all" element
      Specified by:
        `addNewAll` in interface `ComplexType`

    - #### unsetAll

          public void unsetAll()

      Unsets the "all" element
      Specified by:
        `unsetAll` in interface `ComplexType`

    - #### getChoice

          public ExplicitGroup getChoice()

      Gets the "choice" element
      Specified by:
        `getChoice` in interface `ComplexType`

    - #### isSetChoice

          public boolean isSetChoice()

      True if has "choice" element
      Specified by:
        `isSetChoice` in interface `ComplexType`

    - #### setChoice

          public void setChoice​(ExplicitGroup choice)

      Sets the "choice" element
      Specified by:
        `setChoice` in interface `ComplexType`

    - #### addNewChoice

          public ExplicitGroup addNewChoice()

      Appends and returns a new empty "choice" element
      Specified by:
        `addNewChoice` in interface `ComplexType`

    - #### unsetChoice

          public void unsetChoice()

      Unsets the "choice" element
      Specified by:
        `unsetChoice` in interface `ComplexType`

    - #### getSequence

          public ExplicitGroup getSequence()

      Gets the "sequence" element
      Specified by:
        `getSequence` in interface `ComplexType`

    - #### isSetSequence

          public boolean isSetSequence()

      True if has "sequence" element
      Specified by:
        `isSetSequence` in interface `ComplexType`

    - #### setSequence

          public void setSequence​(ExplicitGroup sequence)

      Sets the "sequence" element
      Specified by:
        `setSequence` in interface `ComplexType`

    - #### addNewSequence

          public ExplicitGroup addNewSequence()

      Appends and returns a new empty "sequence" element
      Specified by:
        `addNewSequence` in interface `ComplexType`

    - #### unsetSequence

          public void unsetSequence()

      Unsets the "sequence" element
      Specified by:
        `unsetSequence` in interface `ComplexType`

    - #### getAttributeList

          public List<Attribute> getAttributeList()

      Gets a List of "attribute" elements
      Specified by:
        `getAttributeList` in interface `ComplexType`

    - #### getAttributeArray

          public Attribute[] getAttributeArray()

      Gets array of all "attribute" elements
      Specified by:
        `getAttributeArray` in interface `ComplexType`

    - #### getAttributeArray

          public Attribute getAttributeArray​(int i)

      Gets ith "attribute" element
      Specified by:
        `getAttributeArray` in interface `ComplexType`

    - #### sizeOfAttributeArray

          public int sizeOfAttributeArray()

      Returns number of "attribute" element
      Specified by:
        `sizeOfAttributeArray` in interface `ComplexType`

    - #### setAttributeArray

          public void setAttributeArray​(Attribute[] attributeArray)

      Sets array of all "attribute" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setAttributeArray` in interface `ComplexType`

    - #### setAttributeArray

          public void setAttributeArray​(int i,
                                        Attribute attribute)

      Sets ith "attribute" element
      Specified by:
        `setAttributeArray` in interface `ComplexType`

    - #### insertNewAttribute

          public Attribute insertNewAttribute​(int i)

      Inserts and returns a new empty value (as xml) as the ith "attribute" element
      Specified by:
        `insertNewAttribute` in interface `ComplexType`

    - #### addNewAttribute

          public Attribute addNewAttribute()

      Appends and returns a new empty value (as xml) as the last "attribute" element
      Specified by:
        `addNewAttribute` in interface `ComplexType`

    - #### removeAttribute

          public void removeAttribute​(int i)

      Removes the ith "attribute" element
      Specified by:
        `removeAttribute` in interface `ComplexType`

    - #### getAttributeGroupList

          public List<AttributeGroupRef> getAttributeGroupList()

      Gets a List of "attributeGroup" elements
      Specified by:
        `getAttributeGroupList` in interface `ComplexType`

    - #### getAttributeGroupArray

          public AttributeGroupRef[] getAttributeGroupArray()

      Gets array of all "attributeGroup" elements
      Specified by:
        `getAttributeGroupArray` in interface `ComplexType`

    - #### getAttributeGroupArray

          public AttributeGroupRef getAttributeGroupArray​(int i)

      Gets ith "attributeGroup" element
      Specified by:
        `getAttributeGroupArray` in interface `ComplexType`

    - #### sizeOfAttributeGroupArray

          public int sizeOfAttributeGroupArray()

      Returns number of "attributeGroup" element
      Specified by:
        `sizeOfAttributeGroupArray` in interface `ComplexType`

    - #### setAttributeGroupArray

          public void setAttributeGroupArray​(AttributeGroupRef[] attributeGroupArray)

      Sets array of all "attributeGroup" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setAttributeGroupArray` in interface `ComplexType`

    - #### setAttributeGroupArray

          public void setAttributeGroupArray​(int i,
                                             AttributeGroupRef attributeGroup)

      Sets ith "attributeGroup" element
      Specified by:
        `setAttributeGroupArray` in interface `ComplexType`

    - #### insertNewAttributeGroup

          public AttributeGroupRef insertNewAttributeGroup​(int i)

      Inserts and returns a new empty value (as xml) as the ith "attributeGroup" element
      Specified by:
        `insertNewAttributeGroup` in interface `ComplexType`

    - #### addNewAttributeGroup

          public AttributeGroupRef addNewAttributeGroup()

      Appends and returns a new empty value (as xml) as the last "attributeGroup" element
      Specified by:
        `addNewAttributeGroup` in interface `ComplexType`

    - #### removeAttributeGroup

          public void removeAttributeGroup​(int i)

      Removes the ith "attributeGroup" element
      Specified by:
        `removeAttributeGroup` in interface `ComplexType`

    - #### getAnyAttribute

          public Wildcard getAnyAttribute()

      Gets the "anyAttribute" element
      Specified by:
        `getAnyAttribute` in interface `ComplexType`

    - #### isSetAnyAttribute

          public boolean isSetAnyAttribute()

      True if has "anyAttribute" element
      Specified by:
        `isSetAnyAttribute` in interface `ComplexType`

    - #### setAnyAttribute

          public void setAnyAttribute​(Wildcard anyAttribute)

      Sets the "anyAttribute" element
      Specified by:
        `setAnyAttribute` in interface `ComplexType`

    - #### addNewAnyAttribute

          public Wildcard addNewAnyAttribute()

      Appends and returns a new empty "anyAttribute" element
      Specified by:
        `addNewAnyAttribute` in interface `ComplexType`

    - #### unsetAnyAttribute

          public void unsetAnyAttribute()

      Unsets the "anyAttribute" element
      Specified by:
        `unsetAnyAttribute` in interface `ComplexType`

    - #### getName

          public String getName()

      Gets the "name" attribute
      Specified by:
        `getName` in interface `ComplexType`

    - #### xgetName

          public XmlNCName xgetName()

      Gets (as xml) the "name" attribute
      Specified by:
        `xgetName` in interface `ComplexType`

    - #### isSetName

          public boolean isSetName()

      True if has "name" attribute
      Specified by:
        `isSetName` in interface `ComplexType`

    - #### setName

          public void setName​(String name)

      Sets the "name" attribute
      Specified by:
        `setName` in interface `ComplexType`

    - #### xsetName

          public void xsetName​(XmlNCName name)

      Sets (as xml) the "name" attribute
      Specified by:
        `xsetName` in interface `ComplexType`

    - #### unsetName

          public void unsetName()

      Unsets the "name" attribute
      Specified by:
        `unsetName` in interface `ComplexType`

    - #### getMixed

          public boolean getMixed()

      Gets the "mixed" attribute
      Specified by:
        `getMixed` in interface `ComplexType`

    - #### xgetMixed

          public XmlBoolean xgetMixed()

      Gets (as xml) the "mixed" attribute
      Specified by:
        `xgetMixed` in interface `ComplexType`

    - #### isSetMixed

          public boolean isSetMixed()

      True if has "mixed" attribute
      Specified by:
        `isSetMixed` in interface `ComplexType`

    - #### setMixed

          public void setMixed​(boolean mixed)

      Sets the "mixed" attribute
      Specified by:
        `setMixed` in interface `ComplexType`

    - #### xsetMixed

          public void xsetMixed​(XmlBoolean mixed)

      Sets (as xml) the "mixed" attribute
      Specified by:
        `xsetMixed` in interface `ComplexType`

    - #### unsetMixed

          public void unsetMixed()

      Unsets the "mixed" attribute
      Specified by:
        `unsetMixed` in interface `ComplexType`

    - #### getAbstract

          public boolean getAbstract()

      Gets the "abstract" attribute
      Specified by:
        `getAbstract` in interface `ComplexType`

    - #### xgetAbstract

          public XmlBoolean xgetAbstract()

      Gets (as xml) the "abstract" attribute
      Specified by:
        `xgetAbstract` in interface `ComplexType`

    - #### isSetAbstract

          public boolean isSetAbstract()

      True if has "abstract" attribute
      Specified by:
        `isSetAbstract` in interface `ComplexType`

    - #### setAbstract

          public void setAbstract​(boolean xabstract)

      Sets the "abstract" attribute
      Specified by:
        `setAbstract` in interface `ComplexType`

    - #### xsetAbstract

          public void xsetAbstract​(XmlBoolean xabstract)

      Sets (as xml) the "abstract" attribute
      Specified by:
        `xsetAbstract` in interface `ComplexType`

    - #### unsetAbstract

          public void unsetAbstract()

      Unsets the "abstract" attribute
      Specified by:
        `unsetAbstract` in interface `ComplexType`

    - #### getFinal

          public Object getFinal()

      Gets the "final" attribute
      Specified by:
        `getFinal` in interface `ComplexType`

    - #### xgetFinal

          public DerivationSet xgetFinal()

      Gets (as xml) the "final" attribute
      Specified by:
        `xgetFinal` in interface `ComplexType`

    - #### isSetFinal

          public boolean isSetFinal()

      True if has "final" attribute
      Specified by:
        `isSetFinal` in interface `ComplexType`

    - #### setFinal

          public void setFinal​(Object xfinal)

      Sets the "final" attribute
      Specified by:
        `setFinal` in interface `ComplexType`

    - #### xsetFinal

          public void xsetFinal​(DerivationSet xfinal)

      Sets (as xml) the "final" attribute
      Specified by:
        `xsetFinal` in interface `ComplexType`

    - #### unsetFinal

          public void unsetFinal()

      Unsets the "final" attribute
      Specified by:
        `unsetFinal` in interface `ComplexType`

    - #### getBlock

          public Object getBlock()

      Gets the "block" attribute
      Specified by:
        `getBlock` in interface `ComplexType`

    - #### xgetBlock

          public DerivationSet xgetBlock()

      Gets (as xml) the "block" attribute
      Specified by:
        `xgetBlock` in interface `ComplexType`

    - #### isSetBlock

          public boolean isSetBlock()

      True if has "block" attribute
      Specified by:
        `isSetBlock` in interface `ComplexType`

    - #### setBlock

          public void setBlock​(Object block)

      Sets the "block" attribute
      Specified by:
        `setBlock` in interface `ComplexType`

    - #### xsetBlock

          public void xsetBlock​(DerivationSet block)

      Sets (as xml) the "block" attribute
      Specified by:
        `xsetBlock` in interface `ComplexType`

    - #### unsetBlock

          public void unsetBlock()

      Unsets the "block" attribute
      Specified by:
        `unsetBlock` in interface `ComplexType`